Results 1 to 4 of 4

Thread: after starting Firefox 14.0.1, i am always getting a window that checks for compatibility of add ons

  1. #1
    Join Date
    Jul 2012
    Posts
    11

    after starting Firefox 14.0.1, i am always getting a window that checks for compatibility of add ons

    Thought to get some new features and fun with new version of firefox. But seems like i have done some mistake. I was using Firefox 4 since its release because i found it as the most stable version of FF. But now when they are in FF v14, i thought to upgrade my browser and updated to v14. But am just annoyed with this browser in these 2 days.
    Though i haven't installed any Add-on (not a single add-on) it still runs the compatibility window for checking add-ons every time i launch my browser. Its really very frustrating. Is there any solution for this or should i simply revert back to my Firefox 4 ?

  2. #2
    Join Date
    May 2009
    Posts
    1,611

    Re: after starting Firefox 14.0.1, i am always getting a window that checks for compatibility of add ons

    Offcourse it will be irritating when one launches his browser and gets a not required window that keeps us ideal for a minute or two everytime. Am still using firefox 4 (as you also said its most stable) and have disable these Add-Ons checking window. My browser never checks for compatibility. And so am happy. If you want to do the same, here is how to disable Addon compatibility check:

    • Launch your browser and type about:config in the address bar.
    • If you get a warning message saying "this might void your warranty" dont panic and simply click on the below button saying "I'll be careful".
    • Now right click anywhere at empty space and select New > Boolean.
    • Name this key as "extensions.checkCompatibility.14" and click OK.
    • Select False and click Ok.
    • Now follow the same steps and create one more key named "extensions.checkUpdateSecurity", click OK, select "False".


    Thats it, now restart your browser and see if it works.

    NOTE: These are the steps i did in my firefox 4 and i hope it should work.

  3. #3
    Join Date
    Jul 2012
    Posts
    11

    Re: after starting Firefox 14.0.1, i am always getting a window that checks for compatibility of add ons

    Thanks for the info and steps Maq.h. But it seems like it is not working for me. I tried it almost 3 times by now but still when i launch the browser, the compatibility check windows appears.

    Any another way to fix it ?

  4. #4
    Join Date
    Apr 2010
    Posts
    89

    Re: after starting Firefox 14.0.1, i am always getting a window that checks for compatibility of add ons

    Quote Originally Posted by iCloud View Post
    Thanks for the info and steps Maq.h. But it seems like it is not working for me. I tried it almost 3 times by now but still when i launch the browser, the compatibility check windows appears.

    Any another way to fix it ?
    What is your Firefox Version ? I think he forget to mention one thing. In the step 4 where you need to name the key as "extensions.checkCompatibility.14", that number "14" actually is your firefox version number. Hence if you are making it for your Firefox 5 or 6, make it as "extensions.checkCompatibility.5" OR "extensions.checkCompatibility.6" respectively.

Similar Threads

  1. Add-on Compatibility on Firefox 13 does not look better
    By Gopya41 in forum Technology & Internet
    Replies: 3
    Last Post: 22-05-2012, 05:36 PM
  2. Mozilla Firefox 5 window goes black while starting
    By KalTak in forum Technology & Internet
    Replies: 6
    Last Post: 25-08-2011, 11:14 AM
  3. Firefox 4 not starting on MAC
    By Orochimaru in forum Technology & Internet
    Replies: 4
    Last Post: 29-03-2011, 10:27 AM
  4. Replies: 4
    Last Post: 12-02-2011, 12:45 AM
  5. Error when starting Firefox (XULRunner)
    By Honey Singh in forum Technology & Internet
    Replies: 6
    Last Post: 19-09-2010, 06:50 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •